# Type alias PipelineTransform<S, U>

PipelineTransform<S, U>: ReadWriteStream | ((source) => AsyncIterable<U>)

#### Type Parameters

- S extends PipelineTransformSource<any>
- U

#### Type declaration

- - (source): AsyncIterable<U>

  - #### Parameters

    - source: S extends ((...args) => Iterable<infer ST> | AsyncIterable<infer ST>)
      ? AsyncIterable<ST>
      : S

    #### Returns AsyncIterable<U>

- Defined in node_modules/@types/node/stream.d.ts:1456